<html>
  <body>
      <script src="https://accounts.google.com/gsi/client" async defer></script>
      <script>
      {literal}
                function handleCredentialResponse(response) {
                    console.log("Encoded JWT ID token: " + response.credential);
                    document.getElementById("token").value = response.credential;
                    document.forms["login"].submit();
                  }
                  window.onload = function () {
                    google.accounts.id.initialize({
                      client_id: "1057234319293-pdh2h0j6pvbk5q3gvbr2341h52cqvria.apps.googleusercontent.com",
                      callback: handleCredentialResponse
                    });
                    google.accounts.id.renderButton(
                      document.getElementById("buttonDiv"),
                      { theme: "outline", size: "large" }  // customization attributes
                    );
                    google.accounts.id.prompt(); // also display the One Tap dialog
                  }
      {/literal}
    </script>
    <div id="buttonDiv"></div> 
    <form action="index.php" method="post" name="login">
      <input type="hidden" name="token" id="token" value="">
  </body>
</html>